%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate terminal-colorsaurus

Name:           rust-terminal-colorsaurus
Version:        0.3.3
Release:    1%{?dist}
Summary:        Determines the background and foreground color of the terminal

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/terminal-colorsaurus
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Determines the background and foreground color of the terminal.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/license-apache.txt
%license %{crate_instdir}/license-mit.txt
%doc %{crate_instdir}/changelog.md
%doc %{crate_instdir}/readme.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+docs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+docs-devel %{_description}

This package contains library source intended for building other packages which
use the "docs" feature of the "%{crate}" crate.

%files       -n %{name}+docs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rgb-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rgb-devel %{_description}

This package contains library source intended for building other packages which
use the "rgb" feature of the "%{crate}" crate.

%files       -n %{name}+rgb-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jun 29 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.3-1
- initial build
